import request from '@/utils/request'

// 查询参数列表
export function listBookInfo(query) {
  return request({
    url: '/system/book-info/list',
    method: 'get',
    params: query
  })
}

// 查询参数详细
export function getBookInfo(configId) {
  return request({
    url: '/system/book-info/' + configId,
    method: 'get'
  })
}

// 新增书籍信息
export function addBookInfo(data) {
  return request({
    url: '/system/book-info',
    method: 'post',
    data: data
  })
}

// 修改书籍信息
export function updateBookInfo(data) {
  return request({
    url: '/system/book-info',
    method: 'put',
    data: data
  })
}

// 删除书籍信息
export function delBookInfo(configId) {
  return request({
    url: '/system/book-info/' + configId,
    method: 'delete'
  })
}
